Subject: Re: bug#12447: 24.1.50; Stuck in garbage collection on OS X

From: Eli Zaretskii <[email-masked]>
Date: Fri, 21 Sep 2012 12:54:22 +0300

> From: Chong Yidong <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Fri, 21 Sep 2012 17:09:54 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> What is the package that relies on the old behavior?
> >
> > js2-mode, see bug #12326 (merged with this one).
> 
> I'm confused.  You just said that js2-mode needed a code change:
> 
> >> The one I posted in #12326: calling timer-activate-when-idle with nil
> >> DONT-WAIT argument.
> >
> > I don't think that's a workaround.  I think that's what js2 should do,
> > if (AFAIU) it wants the timer handler be invoked once, after Emacs has
> > been idle for more than 1 sec.
> 
> If I understand correctly, js2-mode (prior to the workaround) assumed
> the new behavior: it called run-with-idle-timer from inside the idle
> timer, with the same delay, with the intention of scheduling for the
> next period of idleness.

I have no idea what js2-mode wants to do.  What I wrote above was
based on my limited reading of the code fragments posted to that bug.